<?php

use Icinga\Web\Controller;

class HelloWorld_IndexController extends Controller
{
    /**
     * Whether the controller requires the user to be authenticated
     *
     * @var bool
     */
//    protected $requiresAuthentication = false;

    /**
     * The inner layout (inside the body) to use
     *
     * @var string
     */
    protected $innerLayout = 'inline'; // Default is 'body' and the only alternative at the moment

    /**
     * Check whether the controller requires a login. That is when the controller requires authentication and the
     * user is currently not authenticated
     *
     * @return  bool
     */
    protected function requiresLogin()
    {
        $this->requiresAuthentication = rand(1, 2) % 2;
        return parent::requiresLogin();
    }

    /**
     * Say hello to the world
     */
    public function indexAction()
    {
        $this->getTabs()->activate('world');
    }

    /**
     * Return the tabs
     *
     * @return Tabs
     */
    public function getTabs()
    {
        $tabs = parent::getTabs();
        $tabs->add(
            'world',
            array(
                'title' => 'World',
                'url'   => 'helloworld'
            )
        );

        if ($this->hasPermission('helloworld/universe')) {
            $tabs->add(
                'universe',
                array(
                    'title' => 'Universe',
                    'url'   => 'helloworld/universe'
                )
            );
        }

        return $tabs;
    }
}
